Subject: bug#57216: 29.0.50; [PATCH] Provide ERT explainers for Eshell test functions

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 15 Aug 2022 09:01:52 +0200

Jim Porter <[email-masked]> writes:

> It can be difficult to diagnose test failures in the Eshell ERT test
> suite, since it doesn't print useful details like the command that was
> executed. See bug#57129 for example.

I'm generally not in favour of making ert tests less trivial (because
that makes dealing with them less easy if you're not familiar with the
specific harness), but in this case, it makes sense, I think.

> Most of the first two patches are purely-mechanical changes to update
> function calls. The diffs ended up being pretty big, but I think it
> improves matters. Let me know if I should do it differently
> (especially for the commit message; I didn't see much benefit to
> listing *every* test function I touched, but maybe I should do that?)

Looks OK to me -- we don't really follow the ChangeLog conventions for
the tests much.